package com.jxy.common.core.exception.auth;

import org.apache.commons.lang3.StringUtils;

/**
 * @Description 未能通过的权限认证异常
 * @Date 2022/5/13 9:45
 * @Author 杜懿
 */
public class NotPermissionException extends RuntimeException{

    private static final long serialVersionUID = 1L;

    public NotPermissionException(String permission)
    {
        super(permission);
    }

    public NotPermissionException(String[] permissions)
    {
        super(StringUtils.join(permissions, ","));
    }

}
